/*
 * Copyright (c) 2001-2006 www.olat.org,
 * Universitaet Zuerich, Switzerland
 *
 * Author: Florian Gnaegi
 *         gnaegi@zi.unizh.ch
 * Initial date:   10.10.2001
 *
 * Description:
 * This file contains Release notes and the listing of the main changes within a release
 */


Release Notes - OLAT - Version 4.1.4 (20.06.2006)
*************************************************
++++++++++++++++++
++ Improvements ++
[TEST]
  - Test/Self-tests/Surveys containing a big question pool no longer produces big user session during the
    run of the qti resource. Assuming that just a small subset from the question pool is selected. I.e. 
    using 40 questions out of a 2000 questions pool.
    
++++++++++++++++++
++ Fixed Bugs ++++
  - jump to a building block which referenced another but yet deleted building block by means of condition functions
  getPassed(..), getAttempts(..), getScore(..) lead to a red screen.
  - Starting OLAT from a webpage into a new browser window, afterwards each click in OLAT brought focus to
  the former webpage.
  - Archiving the dialogs of a dialog building block failed.
  - Publish bug does not allow to move building blocks. DISABLED move link! This publish bug WILL be fixed
  in the upcoming 5.0.0 OLAT version.

Release Notes - OLAT - Version 4.1.3 (31.05.2006)
*************************************************  
++++++++++++++++++
++ Fixed Bugs ++++
  - Course editor was crashing after publishing the move of a (sub)node when the former parent
    node was deleted and published before

Release Notes - OLAT - Version 4.1.2 (13.04.2006)
*************************************************
++++++++++++++++++
++ Fixed Bugs ++++
  - TinyMCE: generates correct hyperlink paths, it does now
  - Filenames containing ".." are delivered.
  - Preview information HTML file in Test/Self-test/Survey config tab no longer crashes
  

Release Notes - OLAT - Version 4.1.1 (30.03.2006)
*************************************************
++++++++++++++++++
++ Improvements ++
[TEST EDITOR]
  - Correction workflow allows always feedback changes.
[COURSE]
  - Single page / External resource can be opened in own window on users demand.

++++++++++++++++++
++ Fixed Bugs ++++
  - TinyMCE: title text is no longer duplicated on each click
  - TinyMCE: generates now correct hyperlink paths.
  - create and edit new HTML file from folder allows going back to folder.
  - Adding quota to coursefolder works now as expected.
  - Forum RTF export escapes html tags.
  - Correction workflow: display empty fields in a consistent way

Release Notes - OLAT - Version 4.1.0 (23.03.2006)
*************************************************
++++++++++++++++++
++ New Features ++
[ADMNISTRATION]
  - Seperation of user administration and system administration.
  - If password is changeable by user is configurable from global config file.
  - Send e-mail to a group of user
[TEST EDITOR]
  - Workflow to allow non-structural corrections, i.e. typos, of test/self-test/survey
    which is already in use, e.g. referenced from a course.
[COURSE TOOLS]
  - new Course tool "SAP Campus Management"; interface to the SAP Campus Management exporting
    course results.
  - Assessment tool: Manual scoring and Task building blocks support bulk assignements of values
    to learners. Specially useful if you collect from your tutors the results of learners and
    want to apply all the results at once. This saves you hundreds of mouse movements.
  - archive tool support archiving of forums as RTF 
[COURSE]
  - new building block "File dialog": discuss about content of uploaded files
  - External page; include external resources without tunneling through OLAT,
    implies displaying the content inside an iframe. This is useful for xhtml, xml
  - deleting a course also archives forum building blocks as RTF.
[FORUM]
  - Export as rich text format (RTF)
  - Preview of forum entries / replies.
[FOLDER]
  - create and edit HTML files from within folders.
[MISC.]
  - Intranet Site extension, use static course as intranet web site.
[FRAMEWORK]
  - Dialect support in internationalization with fallback to the default language. We use this
    to have OLAT in the swiss high german version and without having to copy all i18n files to
    overlay a german high german version.
  - Extension point in course tools
  - Bug reporting facility; if the user sees a redscreen she can just hit "send error" to notify
    system administrator about the last steps taken before the error occured.

++++++++++++++++++
++ Improvements ++
[Misc.]
  - Replace KUPU HTML editor with TinyMCE
  - Update Radeox Wiki Markup Library
  - Mails sent by OLAT instance contain a configurable footer text.
[LOGIN/REGISTRATION]
  - Cookie is set to remember last selected identity provider (Shibboleth)
  - identity provider preselection via parameters in the URI, i.e. no idp selection page
[REPOSITORY]
  - Clicking the repository entry's name opens the detail page, and the former select link 
    is changed to "launch".


++++++++++++++++++
++ Fixed Bugs ++++
  - OLAT WebDAV now works wih Dreamweaver and Contribute
  - Changing quotas for public / private folders was not applied
  - Course results are archived if course is deleted
  - Testeditor locks an edited test even if the editing author quits the browser.
  - send mail works even if one of the selected groups is empty.


Release Notes - OLAT - Version 4.0.2 (08.11.2005)
*************************************************
- GUI
  - Add arrow icon for top link on every page
- Groups
  - Show users visiting card in group members list
- Test
  - SC / MC / Gap Text: position of button for "new answer" not consistent
- Course Editor
  - Out of array error when publishing a new hierarchy containing an
    existing one followed by a new entry.
  - Birthday date was formatted to a length bigger than allowed (10)
- Course
  - External page / Tunnelling: the query string disappears
- Forum
  - Timemarker javascript code crashes IE
  - Title and time shouldn't be displayed in quicktime popup if tags aren't used
  - Open forum in pop-up: input field too big.
- Instant messaging
  - Finish test: chat status is set to "available" instead of default setting
  - Roster contains English terms
  - Focus problems while chatting with several p2p users.
- Administration
  - Parse routine extracting information from the log file
    fails due newlines in error message
- Framework
  - Tracing updated, resulting in a new olat logfile format! Log line contains
    now additional information IP, User-Agent and Referer.
  - Table paging: on second last site: forward arrow is not shown 
  - Radeox wiki engine: rendering problem for strikethrough --sometext--
- For a detailed list of changes and fixed bugs see
  http://bugs.olat.org/jira/secure/IssueNavigator.jspa?reset=true&pid=10001&fixfor=10012


Release Notes - OLAT - Version 4.0.1 (18.10.2005)
*************************************************
- Learning resources repository
  - Klick on tab for digital repository results sometimes in white/blank page
  - Learning resources sorting for creation date: class cast expetion 
    when copying
  - Importing courses at startup does not check for existing references
  - Saving changes in detailed view disables toolbox  functionalities
  - Warn message when trying to upload SCORM 2004 (not supported)
  - Export of learning resource failed due to slash in displayname
  - Error deleting imported course (after archiving in original course)
  - UTF-8 SCORM content cannot be displayed correctly
- Test
  - Editor: Java script warning dialog missing and redundant java script 
    warning dialog
  - Red screen when closing message that test is already edited by other user
  - Movies in Comprehensive questions are not embedded
- Groups
  - Usr A opens project group: should not get email for himself
  - Send mail via contact form but no users are in group: error
  - Enrol in group: group is shown twice in home/group-portlet
  - Leaving group does not affect the instant messaging entry
  - Immediate update of navigation after enrolment to a group
- User interface / Home
  - Directjump and activation of course node via notifications link
  - Use chat in IE: Tabs and top navi get blanc
  - Forum threadview in IE: Magik Creeping Text effect
  - Wrong ordering of profile entries in visting card
- Course
  - Error when publishing moved and deleted nodes
  - Velocity Error: Operation has null value
  - Date chooser broken when multiple conditions on one screen (e.g. forum, 
    folder, task)
  - In the Building-Block "External Page", if it contains a POST form with 
    checkboxes the values are not correctly tunneled
  - Catch cyclic or invalid node references in condition during course publish
  - Sort building blocks in course editor reasonably
- Framework
  - Javascript error if site that contains form is left
  - MapperRegistry, wrong pathname generated hundreds of error messages
  - Kupu editor checks on startup the encoding, if the encoding is wrong 
    spelled the starup fails with an exception
  - AAI Login Site: internationalisation
  - Language GET parameter configurable for AAI request
  - Introducing dataobject for rendering tree
  - Broken Pipe  error when database closed: closing connection of tomcat 
    timeout thred
  - Updated technical documentation and help
  - Updated demo course, adding course CSS demo
- For a detailed list of changes and fixed bugs see
  http://bugs.olat.org/jira/secure/IssueNavigator.jspa?reset=true&pid=10001&fixfor=10011


Release Notes - OLAT - Version 4.0.0 (27.09.2005)
*************************************************
- Repository
  - Course import / export
  - SCORM 1.2 runtime support in repository and course. The implementation
    does not require Java on the client and is very fast.
  - Shared resource folder in repository and course. This allows to use common
    resources within several courses or to implement a portal like entry point
    for several courses.
  - See learning resources references to other learning resources
  - External link to resource allows auto login as guest
  - Allow * wildcards in searches
- Course
  - General improvements of the course editor
  - See conditions in editor menu
  - New validation concept in course editor: get more information about
    missing or wrong configurations
  - Catch invalid references when publishing new course elements
  - Move and copy course building blocks in course editor
  - Introduction of a general course configuration
  - Course logging can now be configured
  - Course chat can now be configured
  - Enable HTTPS and custom port in external page building block
  - Introduction of a course layout concept: style your course with your own
    CSS by overriding the OLAT style
  - Be notified about finished tests to improve your coaching workflows
  - Download of all handed in tasks
  - Return corrected version in task building block back to student
  - Adding course comprehensive conditions: test passed state of a course from
    another course
  - Set the level of detail for your course logfiles
  - The course preview has now seetings for simulating different roles
  - Bookmarks to a course can now be made from within the course
- Forum
  - Forum now supports thread view and message view
  - Files can be attached to forum posts
  - An image of the author of a post is shown if available. A link to the user's
    personal homepage is shown
- Testing
  - QTI-editor supports the question type Kprim/K
- Home
  - Rework of the personal home: more quick links to things you use on a
    daily basis using a portal technique.
  - Search for other users' public folder and homepage
  - Personal homepage with photo, public folder and contact form
  - Direct access to all your of groups instead of only your buddygroups
  - See how you perform in your courses without the need to enter the course
  - Personal jabber configuration
- Portal style home page
  - List of most used groups, bookmarks, efficiency statements and notes
  - List of most important notifications
  - Quick Links for new users
  - Information about system status
  - Tip-Of-The-Day like information / help system
  - Macartney comic: see a daily comic strip
- Groups
  - Rework of group site: show all groups a user participates
  - Start course from within a learning group
  - See the date at which a user has been added to a group
  - Group chat history works now
- Other
  - Notifications are now sent only once
- Table pageing improvements for very large tables
  - Overview over ehCache usage
  - Update mechanism to execute migration code when upgrading OLAT
  - Configuration support for postgres database
  - Introduction of virtual file system support. For users this means that
    there is only one WebDAV mount point for every user that contains all
    resources that the user is allowed to access.
  - A lot of refactoring in the development framework: stabilizing the
    interfaces, defining extension points and moving
    more to the configuration instead of having it hard wired in the code.
    For users this means: nothing changes, for developers this means: much
    better support to extend or customize OLAT.
  - A lot of CSS cleanup, loading images using CSS to simplify customizing
  - Shibboleth 1.3 compliance
  - Many improvements in the translation tool
- Help
  - Improved context sensitive help
  - Improved comprehensive help / manual
  - Improved technical documentation
- For a detailed list of changes and fixed bugs see
  http://bugs.olat.org/jira/secure/IssueNavigator.jspa?reset=true&pid=10001&fixfor=10008


Release Notes - OLAT - Version 3.2.1 (31.05.2005)
**************************************************

Bug
- Nullpointer im FolderManager
- Interner Link auf BB: funktioniert nur, wenn Link auf oberstem File (im Ablageordner) eingebaut wird
- TimeMarker-Fkt (copy/paste) klappt nicht unter Windows XP IE und Firefox
- Privacy issue: user data available though user list table preferences
- BooleanColumnDescriptor NullPointerException when used with an action
- direct jump to "external site" gives blank screen
- Wrong SMTP configuration leads to red screen
- Postgres SQL error: wrong HQL query (boolean values)
- Postgres SQL error: wrong placement of inner join fetch in HQL query

Improvement
- MySQL JDBC Update
- Update Help pages
- Update translations
- CheckIssuerIP in AAI should be configurable
- See bugs.olat.org for more details
  http://bugs.olat.org/jira/secure/IssueNavigator.jspa?reset=true&pid=10001&fixfor=10007


RELEASE NOTES OLAT 3.2.0-Public (14.04.2005)
********************************************
- New administration feature to display a maintenance message to all users, also to already
  logged in users
- New QTI runtime option: show no feedback at all
- Course logging can now be turned off via global configuration option
- Online translation tool allows now entering of any UTF-8 character directly via web form
- Group, group area and group context names are not allowed to have the double quote 
  character anymore. This would break course preconditions on such groups or areas
- Users who selecte 'not available' in the IM are now not visible in the list of conected users
- When doing a test, the user is warned about unsubmitted forms when clicking on a link
- Fixing mixed up firstname / lastname in assessment tool user list
- Fixing broken quota usage bar on IE
- Fixing concurrency bug that could result in hanging threads (OLAT and a VM bug)
- Fixing concurrency bug that could result in a wrong concurrent dispatching thread counter
- Fixing connection null pointer exception when OLAT has been started with IM but the IM
  server has crashed sometimes later
- Fixing some nullpointer exeptions when IM-Server crashes and OLAT is still running
- Fixing wrong placement of context sensitive help in IM
- Fixing message delete problem in forums when embedded as a poup-up window
- Adding HTTP connection / socket timeout on instant messaging admin and tunneling calls
- Adding context sensitive help to home elements
- Updated some translations and some context sensitive helps
- Adding documentation
- See bugzilla for more details
  http://bugzilla.olat.org/buglist.cgi?product=OLAT&target_milestone=3.2.0-public

RELEASE NOTES OLAT 3.2.0 (22.03.2005)
*************************************
- Rework of QTI testing system
  - Same look and feel of qti editor as in the course editor
  - No open/save anymore, QTI files are beeing edited directly from the resource repository
  - Redesign of runtime environment, is now component based
  - All collaborative tools are disabled when starting a test (Instant messaging, groups)
  - The application type is now supported to easily embedd flash based questions
  - When choosing a question that has already been answered the choosen answer is visible
- Instant Messaging and awareness integration 
  - The jabber instant messaging system is now fully integrated into OLAT
  - Generic integration through OLAT IM API. Implementation is done for the open source 
    jabber server jive messenger available at http://www.jivesoftware.org/
  - OLAT buddygroups are automatically synchronized to the users Jabber roaster
  - See which users are online, chat with anyone who is online
  - See which of your buddies are online via the roaster shortcuts and send them messages
- New features in the group management and runtime environment
  - Groups have now a chat as an additional collaborative tool that can be en- or disabled
  - When adding / removing a user to a buddygroup, the user gets notified via email
  - In the group management a wizzard for multiple copying of groups has been added
- Be informed about changes using notifications 
  - Currently notification subscriptions are implemented for forum and folders
  - Every night an email informs each user about the changes in the subscribed objects
- New personalized information in you home
  - The home features now a list with all your notification subscriptions
  - Subscribe to a personal RSS feed to monitor your bookmarks and notifications 
    subscriptions. Using this mechanism it is possible to monitor a form virtually in 
    realtime without the need of beeing logged in to OLAT
  - The bookmark tab has been removed from the top navigation. The functionality is
    available from within the home
  - See the nodes from all your courses, edit them directly without launching the course
  - HTML files in your folder can be edited directly using the integrated HTML editor
- New features in the OLAT course system
  - Every course has a course chat
  - Users can take personal notes for each course
  - Users have a personal efficency statement in each course to see how they perform
    in this course in an overview or to print out as a confirmation paper
  - Improved easy mode in course building block condition editor. Dependencies to 
    other assessable course building blocks are now supported in the easy mode.
  - Structure nodes can now use the HTML editor as the single page node already does
  - Enhanced display configuration options for ims content packaging, single page
    external content and forum integration: use spash screen, integrate within 
    the course menu or open as a pop-up window.
  - Implementation of course internal links, eg. link from a single page to a forum
  - External content is no longer restricted to be located on the root level of the server
  - Additional expert rules for the course conditions such as enrollment date or number
    of attempts
  - Copying of courses does now also copy the task and folder nodes data
  - Whereas olatraw=true allows to have a single popup window rendered without the
    OLAT navigation for one page, the new olatsite=true option inherits this 
    no-OLAT-navigation behaviour to all subsequent links
  - Downloads of test results do now include the exact start and end time  
- Implementation of a course audit infrastructur. 
  - course_admin_log.txt logs all administrative tasks, such as changes in the course 
    editor, the group management or the assessment tool
  - course_user_log.txt logs detailed information about user behaviour in a course. 
    This logfile is not accessable to course administrators. The only purposes of this
    log are legal issues, to prove who did what, when. 
  - course_statistic_log.txt logs detailed information about user behaviour without
    revealing the users identity. For every course each user has a random id 
    associated. User activity can be examined without compromising the users privacy.
  - The logfiles can be downloaded using the archive tool
- Implementation of the course preview
  - Unpublished changes can be previewed to test your conditions
  - Simulation of learning group or group area membership, date and user attribute
- Reworked course assessment tool
  - Adding lock mechanism - only one user can change a user assessment at a time
  - New assessment navigation: user centered view, group centered view or course
    structure centered view
  - Adding local assessment caching to speed up the work in the assessment tool
  - See the detailed results reporting of a users test for each attempt
  - Fixed a bug where node attempts could not be changed
  - An upper and lower boundary for scoring values has been added: +/- 10000.00
  - All assessment values are stored and processed as floats internally
  - When presenting scoring values, the values are rounded to three decimals
  - Fixed double user entries problem in all users list  
- Course comprehensive group management
  - Each course has a default group management that is only visible within the course
  - A new system group groupadministrators have access to the new course 
    comprehensive group management, a so called group context
  - Group contexts can be associated with several courses. E.g. a class (designed as
    a group within a group context) can be attached to several courses.
  - This is a high-end feature, it is not visible to regular courses as long as there
    is no such course comprehensive group context associated with the course
- Forum improvements
  - New thread view: overview of all threads, number of messages, number of unread
    messages
  - New styling of message view
  - Added a discussion oriented movie player to the wiki syntax used in forum
- IMS content packaging improvements
  - Correct handling of href attribute in the IMS manifest, IMS CP from WebCT work now
  - Content packagings defined as downloadable in the learning resource library 
    have now an offline viewer included. The offline viewer does not require any 
    plugins or server running, it is plain HTML.
- Layout improvements
  - Various improvements in HTML and CSS code
  - Better CSS styling to prevent learning content from overriding olat styles by accident
  - Using smaller default fonts
  - On each page in OLAT a "top" link at the bottom right of the page allows jumping to the top 
    of the page
  - The menu on the left side and the toolboxes on the right side can both be hidden
  - The hidden mode of menu an toolboxes dynamically opens the toolbox or menu when 
    pointing the mouse over it 
  - Improved printview: forms and buttons are disabled
  - Fixed various issues with Internet Explorer
  - Fixed various layout issues with the embedded HTML editor
- New table features
  - On some tables the displayed rows can be customized to show only the rows you want
  - Large tables are splitted up into several pages as we know it e.g. from google
  - Table row hot-tracking
- Framework
  - Adding visibility dependency rules to form elements to hide form elements that 
    depend on a value of another form element.
  - User names are now allowed to have . _ and - characters
  - Starting the HTML editor with browsers that do not support this feature is no
    longer possible
  - Adding possiblitiy to change folder quota on the specific folder direclty instead 
    of entering the folder path in the OLAT administration
  - Improved visual component and translation debugging mode
  - Improved error handling, more logging, more save calls, more cleanup
- Improved internationalization
  - OLAT is now fully UTF-8 based: e.g. a forum can have a post mixed in german and 
    chineese
  - Converting tool to convert an existing OLAT filesystem to UTF-8
  - Users can now switch between German, Italian, French or English
  - An online translation tool allows easy editing of new languages or customizing
    existing ones.
- See bugzilla for more details
  http://bugzilla.olat.org/buglist.cgi?product=OLAT&target_milestone=3.2.0

 
RELEASE NOTES OLAT 3.1.4 (23.11.2004)
*************************************
- Problem in QTI editor has been fixed that caused tests to be broken after loading into
  the editor. This was specially true when the test used images - images were possibly lost.
- Closing unclosed streams and adding more log4j messages for better debugging
- Fixed the broken questionnaire preview in the QTI editor
- Allow deletion of handed in files in the task course building block
- Handing in of files and deletion of files in the task course building block are now
  written to the users course building block change log.
- Database transaction isolation level is now set to TRANSACTION_READ_COMMITTED per default
- Deletion of group forums work now as expected
- Database session closing problem when using WebDAV is fixed.
- Adding long value to generic property system - is used instead of float value wherever 
  possible
- Fixing forum phantom problem. When forum id's reached a lengh greater than 7 digits the
  forum lookup property was wrong. Loading a forum could lead in getting a completely wrong
  forum instance.
- Adding administration tool for monitoring current threads 
- Fixing possible date comparison problem in forum threads
- See bugzilla for more details
  http://bugzilla.olat.org/buglist.cgi?product=OLAT&target_milestone=3.1.4

RELEASE NOTES OLAT 3.1.3 (19.10.2004)
*************************************
- Separate counter for error and audit messages
- Whitespace in external resource link will be trimmed, reduces user copy&paste errors
- The top navigation tab 'learning resources' is now stateful
- Improved speed in repository search form 
- Improved user session monitoring in admin environment
- Improved groupmanagement to prevent possible stale object exception in learning area
- Catalog entries can now be deleted from learning resource owners
- See bugzilla for more details
  http://bugzilla.olat.org/buglist.cgi?product=OLAT&target_milestone=3.1.3
- For detailed cvs logmessages see http://www.olat.org/cvs/ (13.10.2004-19.10.2004)

RELEASE NOTES OLAT 3.1.2 (13.10.2004)
*************************************
- Removed hardcoded contact addres from login screen
- Launching a course as external link opens the course now in the OLAT main window in a tab
- Downloadable resources can also be put into the catalog (e.g. a PDF)
- Adding details view to catalog
- Images are now shown correctly when a course is started via external link
- Task building block access conditions are now evaluated as expected
- Calendar date chooser works now also with MacOSX safari browser
- See bugzilla for more details
  http://bugzilla.olat.org/buglist.cgi?product=OLAT&target_milestone=3.1.2
- For detailed cvs logmessages see http://www.olat.org/cvs/ (12.10.2004-12.10.2004)

RELEASE NOTES OLAT 3.1.1 (12.10.2004)
*************************************
- Save in HTML editor works now also in source edit mode
- Better handling of circular references in conditions in the course editor
- All OLAT forms now have the curser focus set to the first editable field
- Users in the guest group will never have write access to forum, 
  folder or the contact form
- Improvements in the groupmanagement
  - When copying right groups the configured rights can also be copied
  - The visibility of group coaches or particiants to the group members can be configured
  - Learning area filter in groupmanagements group list gives you better overview
  - When copying a course the group structure will also be copied 
- In email contact form the mail addresses will not be displayed anymore
- On the users home a direct link to the learning resources is placed
- The help course now also has a printview  
- Registration and password change email link now also works without configured SSL
- The course results can now be archived (score, passed, comments and number of attempts)
- A black list contains illegal login names like root, admin, rektor etc.
- Code has been added to prevent brute force login attack
- Form encancements
  - A date chooser lets you pick dates using the mouse instead of typing the dates
  - A group and learning area chooser lets you pick groups and learning areas from a list 
    of groups and learning areas from the course groupmanagement
  - The new choosers are used in all condition forms and the enrollment configuration form
  - When a form is dirty (form data changed but not yet submitted to server) the form 
    submit button will change its color
- Menu 
  - The menu has been changed form a client side to a server side rendering strategy to 
    reduce network traffic and speed up client side page rendering
  - The menu entries will not have line breaks anymore
- New OLAT directory
  - Infrastructure to organize learning resources in a hierarchical way
  - Much like the Google or the Yahoo directory
  - Any learning resource from the learning resource repository can be in the directory
  - Delegation of category ownerships / superviseing to trusted users
- Optimized 'all courses' search query to be much faster
- Adding security requests caching
- Adding hibernate query and hibernate object caching
- Adding session caching for WebDAV sessions to circumvent problems with some clients
- Many other bugfixes, see bugzilla for more details
  http://bugzilla.olat.org/buglist.cgi?product=OLAT&target_milestone=3.1.1
- For detailed cvs logmessages see http://www.olat.org/cvs/ (21.09.2004-12.10.2004)

 
RELEASE NOTES OLAT 3.1.0 (21.09.2004)
*************************************
- Configurable font size: user can choose from three font sizes
- Rework of group management
  - Separation of learning- and right-groups
  - Easy configuration of groups and group areas via tabbed panes
  - Group copy wizzard: create groups based on existing groups
  - Learning groups can have coaches
  - New group management completely replace the old group management,
    groups won't be migrated
- Introduction of personal 'buddy groups' to support collaborative work
  - Buddy groups are separated from course groups for private use
  - Every user can create buddy groups and add his buddies
  - Support for collaborative und user driven learning
- New collaborative tools to buddy-, learning- and right-groups
  - Discussion forum
  - Filesharing folder
  - Contact form
- Shibboleth integration for alternative distributed user authentication
  - Native integration of the shibboleth protocol used by SWITCH
    authentication and authorization infrastructure (AAI)
  - Shibboleth attributes can be used within a course for a fine granular 
    access control configuration in building block preconditions
- Introduction of new course building block 'task'
  - Choose a task from a pool of tasks
  - Users can hand in their work via the task drop-in box
  - Users get score, passed or text feedback from their coaches
- Introduction of new course building block 'contact form'  
  - Configuration of recipient mail address, e.g. the course administrator's 
    address
  - Course participants can send mail via web form
- Introduction of new course building block 'enrollment'
  - Enrollment into specified groups or a set of groups (called 'learning area')
- Integration of an easy to use WYSIWYG HTML editor
  - Direct editing and creation of html files in single page building blocks
  - No downloads, no external tools, works in your browser
  - Works with Internet Explorer 6.x or Mozilla/Firefox
- Enhancements of the assessment tool
  - Coaches can assess their groups via the assessment tool
  - Integration of task building block with the assessment tool: user's
    task, handed-in work and the recieved credits are all grouped on 
    one page to ease the coaching process
  - Improved caching strategy to reduce unnecessary database queries
  - Task and manual scoring building block configuration is disabled
    as soon as users have generated data. This ensures data integrity.
- Enhancements in the default configuration of course building blocks of 
  type 'forum' and 'folder'
  - Forum moderator access permissions default to course admins and coaches
  - Folder uploader access permissions default to course admins and coaches
- Enhancements in building block 'external content'
  - Pushing of user variables in the HTTP header allows personalized 
    external content / applications
  - External content CSS does not modify the OLAT menu anymore
- Enhancements in the learning resources repository
  - Speed-up of generic repository searches and listings per type
  - Fixed problem in delete process of a learning resource
- Short questions / quizzes now display also HTML based feedback
- Fixed bug when finishing tests / self-tests
- Improved help pages, more and better help
- WebDAV support for personal briefcases and course folders
- Many other bugfixes, see bugzilla for more details
  http://bugzilla.olat.org/buglist.cgi?product=OLAT&target_milestone=3.1.0
- For detailed cvs logmessages see http://www.olat.org/cvs/ (03.08.2004-21.09.2004)

 
RELEASE NOTES OLAT 3.0.1 (03.08.2004)
*************************************
- Improvements in QTI excel downloads
- When deleting a course building block all user data will be archived automatically befor deletion
- Improvements in course groupmanagement
  - Better overview in group detail view
  - Simplified process of adding group collaboration tools
  - Simplified process of adding group rights
  - Fixed many bugs
- Fixed problem with SQL datatype FLOAT in properties and qti_results table. FLOAT is not usable
  and has been changed to a DECIMAL data type. (see /database/alter_3_0_0_to_3_0_1.sql)
- Updated OLAT Help, the example IMS CP file is now included as well. Help is still only in german, sorry...
- Many other bugfixes, see bugzilla for more details
  http://bugzilla.olat.org/buglist.cgi?product=OLAT&target_milestone=3.0.1
- For detailed cvs logmessages see http://www.olat.org/cvs/ (13.07.2004-03.08.2004)


RELEASE NOTES OLAT 3.0.0 (13.07.2004)
*************************************
- Complete new system, built from scratch.
- No more PHP code, pure Java.
- No more dependencies to Apache, runs standalone in a Servlet 
  container (e.g. Tomcat).
- New GUI design, can easily be customized using CSS.
- New navigation style: top navigation, side navigation and action toolbox.
- Learning resource management with powerful search features and easy
  rights management.
- No more proprietary learning content system: integration of the
  IMS Content Packaging standard. You can edit your content using you favorite
  HTML tool like Dreamweaver & co.
- Complete new course system, based on the ideas of the IMS Learning Design standard.
- Easy online course. Build your course using the following OLAT course
  building-blocks (more to come):
  - Structure
  - Content Packaging learning content
  - External learning content (e.g. integration of external image database)
  - Single page
  - Assessment
  - Self-test
  - Test
  - Questionnaire
  - Forum
  - Folder
- Course group management. Groups have associated rights.
- Assessment tool to assess students manually or via automated tests.
- Download tool provides detailed test results. This data can be
  post-processed with external tools like SPSS.
- much much more...
- See bugzilla for more details
  http://bugzilla.olat.org/buglist.cgi?product=OLAT&target_milestone=3.0

